Package org.eclipse.m2m.atl.emftvm.util

# Class VMException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.eclipse.m2m.atl.emftvm.util.VMException

All Implemented Interfaces:
  `Serializable`

public class VMException extends RuntimeException
EMFTVM runtime exception class.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`VMException(StackFrame frame)`
Creates a new `VMException`.
`VMException(StackFrame frame, String message)`
Creates a new `VMException`.
`VMException(StackFrame frame, String message, Throwable cause)`
Creates a new `VMException`.
`VMException(StackFrame frame, Throwable cause)`
Creates a new `VMException`.

## Method Summary

Modifier and Type
Method
Description
`StackFrame`
`getFrame()`
Returns the current `StackFrame`.
`String`
`toString()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### VMException

public VMException(StackFrame frame)
Creates a new `VMException`.

Parameters:
  `frame` - the current `StackFrame`

### VMException

public VMException(StackFrame frame, String message)
Creates a new `VMException`.

Parameters:
  `frame` - the current `StackFrame`
  `message` - the error message

### VMException

public VMException(StackFrame frame, Throwable cause)
Creates a new `VMException`.

Parameters:
  `frame` - the current `StackFrame`
  `cause` - the nested exception

### VMException

public VMException(StackFrame frame, String message, Throwable cause)
Creates a new `VMException`.

Parameters:
  `frame` - the current `StackFrame`
  `message` - the error message
  `cause` - the nested exception

## Method Details

### getFrame

public StackFrame getFrame()
Returns the current `StackFrame`.

Returns:
  the frame

### toString

public String toString()

Overrides:
  `toString` in class `Throwable`